Search documentation of ExStreamClient

# ExStreamClient.Model.CallSettings (ExStreamClient v0.1.10)

View Source

Schema representing a CallSettings

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.CallSettings{
      audio: ExStreamClient.Model.AudioSettings.t() | nil,
      backstage: ExStreamClient.Model.BackstageSettings.t() | nil,
      broadcasting: ExStreamClient.Model.BroadcastSettings.t() | nil,
      frame_recording: ExStreamClient.Model.FrameRecordSettings.t() | nil,
      geofencing: ExStreamClient.Model.GeofenceSettings.t() | nil,
      limits: ExStreamClient.Model.LimitsSettings.t() | nil,
      recording: ExStreamClient.Model.RecordSettings.t() | nil,
      ring: ExStreamClient.Model.RingSettings.t() | nil,
      screensharing: ExStreamClient.Model.ScreensharingSettings.t() | nil,
      session: ExStreamClient.Model.SessionSettings.t() | nil,
      thumbnails: ExStreamClient.Model.ThumbnailsSettings.t() | nil,
      transcription: ExStreamClient.Model.TranscriptionSettings.t() | nil,
      video: ExStreamClient.Model.VideoSettings.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()